<!-- Dialog Window -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="gui/style.css" type="text/css">
<script language="javascript" for="window" event="onload">
  document.Form.Input.value = window.dialogArguments;
  css = window.dialogArguments;
  if (css!="")
  {
	  splitcss = css.split(";");
	  if (splitcss.length>0)
		for (i=1; i<=splitcss.length; i++)
		{
			document.Form.csslist.options[i-1] = new Option(splitcss[i-1], splitcss[i-1], false, false);
		}
   }
</script>
<script language="javascript" for="Ok" event="onclick">
<!--
  var arr = new Array();
  arr =  document.Form.Input.value;
  window.returnValue = arr;
  window.close();
// -->
</script>
<script>
	function add_option(file)
	{
		//alert(file);
		var len = document.Form.csslist.length;
		if (len>0)
		{
			var inlist = 0;
			for(i=1; i<=len; i++)
			{
				if (document.Form.csslist.options[i-1].value==file) 
				{
					alert("This file is already in list!");
					inlist=1;
				}
			}
		}
		if (!inlist) 
		{
			document.Form.csslist.options[len] = new Option(file, file, false, false);
			if (document.Form.Input.value=="") 
				document.Form.Input.value = file;
			else
				document.Form.Input.value = document.Form.Input.value+";"+file
		}
	}
	function remove()
	{
		var sind = document.Form.csslist.selectedIndex;
		var val = document.Form.csslist.options[sind].value;
		var s = document.Form.Input.value.indexOf(val);
		var sub;
        if (s>=0) 
          {
            if (s==0) sub = document.Form.Input.value.substr(val.length+1);
            else sub = document.Form.Input.value.substr(0,s-1) + document.Form.Input.value.substr(s+val.length);
            document.Form.Input.value = sub;
          }

		document.Form.csslist.options[sind] = null;
	}
</script>
</head>

<body bgcolor="#E8E8E8" >
<form name="Form">
<table width="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="2" valign="top">
		<SELECT style="WIDTH: 100%" size=10 name=csslist> 

		</SELECT>
    </td>
  </tr>
  <!--
  <tr>
    <td colspan="2" width="100%">
    <iframe frameborder="1" name="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="auto"></iframe>
    </td>
  </tr>
  -->
  <tr>
    <td height="25" width="15%" align="left" nowrap style="font-size:12px;">{%str:label%}</td>
    <td height="25" width="85%" align="left"><input name="Input" type="text" style="width: 100%"></td>
  </tr>
  <tr>
	<td></td>
	<td align="right">
	<input class="formButton" style="width: 55px;" type="button" name="add" value="Add" onClick="
	args = new Array();
	arr = showModalDialog( '?module=dialogs&action=filex&site_id={%glo:site_id%}', args, 'font-family:Verdana; font-size:12; dialogWidth:530px; dialogHeight:450px; help:0; status:0');if (arr) add_option(arr);">
	<input class="formButton" style="width: 63px;" type="button" name="add" value="Remove" onClick="remove();">
	</td>
  </tr>
  <tr>
    <td colspan="2" height="25" width="100%" align="right" valign="bottom">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="iframe.document.Form.submit();">
    <input type="button" name="Cancel" class="formButton" value="Cancel" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>

